# nng_stats_free(3) Manual Page

## NAME

nng_stats_free - free statistics snapshot

## SYNOPSIS

    #include <nng/nng.h>

    typedef nng_stat nng_stat;

    void nng_stats_free(nng_stat *);

## DESCRIPTION

The `nng_stats_free()` function deallocates a statistics snapshot previously collected with `nng_stats_get()`. After calling this, all values associated with the snapshot are invalidated.

| Only the top of the collected statistics tree can be freed using this function.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_stats_get(3), nng_stat(5), nng(7)